# rdepend.mk -- rules for remaking the dependencies.
#
# Note: <kpathsea/paths.h> is generated, not part of the distribution.
#
# And, there's no need for any installer/user to ever run this, it can
# only cause trouble. So comment it out in the distribution.
# (It doesn't work when the source and build directories are different.)
ifndef c_auto_h_dir
c_auto_h_dir = .
endif

depend depend.mk:: $(c_auto_h_dir)/c-auto.h \
  $(top_srcdir)/../make/rdepend.mk 
	$(CC) -MM $(ALL_CPPFLAGS) -I$(c_auto_h_dir) *.c \
	  | sed -e 's,\(\.\./\)\+kpathsea/,$$(kpathsea_srcdir)/,g' \
	        -e 's,$$(kpathsea_srcdir)/c-auto.h,$$(kpathsea_dir)/c-auto.h,g' \
	        -e 's,$$(kpathsea_srcdir)/paths.h,$$(kpathsea_dir)/paths.h,g' \
	        -e 's,dvi2xx.o,dvilj.o dvilj2p.o dvilj4.o dvilj4l.o,' \
	        -e 's,lex.yy,$$(LEX_OUTPUT_ROOT),g' \
	  | $(top_srcdir)/../unbackslsh.awk \
	  >depend.mk
# If kpathsea, we're making .lo library objects instead of .o's.
	pwd | grep -v kpathsea >/dev/null \
	  || (sed -e 's/\.o:/.lo:/' \
	          -e 's/kpsewhich.lo:/kpsewhich.o:/' \
	          -e 's/kpsestat.lo:/kpsestat.o:/' \
	          -e 's/access.lo:/access.o:/' \
	          -e 's/readlink.lo:/readlink.o:/' \
	      <depend.mk >depend-tmp.mk; mv depend-tmp.mk depend.mk)
.PHONY: depend

# Let's stick a rule for TAGS here, just in case someone wants them.
# (We don't put them in the distributions, to keep them smaller.)
TAGS: *.c *.h
	pwd | grep kpathsea >/dev/null && append=../kpathsea/TAGS; \
	  etags $$append *.[ch]

# Prevent GNU make 3.[59,63) from overflowing arg limit on system V.
.NOEXPORT:

# End of rdepend.mk.
